wxWidgets: wxQueryLayoutInfoEvent Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxQueryLayoutInfoEvent Class Reference
Class List by Category » Events

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/laywin.h>`

Inheritance diagram for wxQueryLayoutInfoEvent:
[legend]

## Detailed Description

This event is sent when wxLayoutAlgorithm wishes to get the size, orientation and alignment of a window.

More precisely, the event is sent by the OnCalculateLayout handler which is itself invoked by wxLayoutAlgorithm.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxQueryLayoutInfoEvent& event)

Event macros:

- EVT_QUERY_LAYOUT_INFO(func):
  Process a `wxEVT_QUERY_LAYOUT_INFO` event, to get size, orientation and alignment from a window.

  ##

Library: wxAdvanced

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxCalculateLayoutEvent, wxSashLayoutWindow, wxLayoutAlgorithm.

## Public Member Functions
| wxQueryLayoutInfoEvent (wxWindowID id=0)
| Constructor. More...
wxLayoutAlignment | GetAlignment () const
| Specifies the alignment of the window (which side of the remaining parent client area the window sticks to). More...
int | GetFlags () const
| Returns the flags associated with this event. More...
wxLayoutOrientation | GetOrientation () const
| Returns the orientation that the event handler specified to the event object. More...
int | GetRequestedLength () const
| Returns the requested length of the window in the direction of the window orientation. More...
wxSize | GetSize () const
| Returns the size that the event handler specified to the event object as being the requested size of the window. More...
void | SetAlignment (wxLayoutAlignment alignment)
| Call this to specify the alignment of the window (which side of the remaining parent client area the window sticks to). More...
void | SetFlags (int flags)
| Sets the flags associated with this event. More...
void | SetOrientation (wxLayoutOrientation orientation)
| Call this to specify the orientation of the window. More...
void | SetRequestedLength (int length)
| Sets the requested length of the window in the direction of the window orientation. More...
void | SetSize (const wxSize &size)
| Call this to let the calling code know what the size of the window is. More...
Public Member Functions inherited from wxEvent
| wxEvent (int id=0, wxEventType eventType=wxEVT_NULL)
| Constructor. More...
virtual wxEvent * | Clone () const =0
| Returns a copy of the event. More...
wxObject * | GetEventObject () const
| Returns the object (usually a window) associated with the event, if any. More...
wxEventType | GetEventType () const
| Returns the identifier of the given event type, such as `wxEVT_BUTTON`. More...
virtual wxEventCategory | GetEventCategory () const
| Returns a generic category for this event. More...
int | GetId () const
| Returns the identifier associated with this event, such as a button command id. More...
wxObject * | GetEventUserData () const
| Return the user data associated with a dynamically connected event handler. More...
bool | GetSkipped () const
| Returns true if the event handler should be skipped, false otherwise. More...
long | GetTimestamp () const
| Gets the timestamp for the event. More...
bool | IsCommandEvent () const
| Returns true if the event is or is derived from wxCommandEvent else it returns false. More...
void | ResumePropagation (int propagationLevel)
| Sets the propagation level to the given value (for example returned from an earlier call to wxEvent::StopPropagation). More...
void | SetEventObject (wxObject *object)
| Sets the originating object. More...
void | SetEventType (wxEventType type)
| Sets the event type. More...
void | SetId (int id)
| Sets the identifier associated with this event, such as a button command id. More...
void | SetTimestamp (long timeStamp=0)
| Sets the timestamp for the event. More...
bool | ShouldPropagate () const
| Test if this event should be propagated or not, i.e. if the propagation level is currently greater than 0. More...
void | Skip (bool skip=true)
| This method can be used inside an event handler to control whether further event handlers bound to this event will be called after the current one returns. More...
int | StopPropagation ()
| Stop the event from propagating to its parent window. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxEvent
int | m_propagationLevel
| Indicates how many levels the event can propagate. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxQueryLayoutInfoEvent()

wxQueryLayoutInfoEvent::wxQueryLayoutInfoEvent | ( | wxWindowID | id = `0` | ) |

Constructor.

## Member Function Documentation

## ◆ GetAlignment()

wxLayoutAlignment wxQueryLayoutInfoEvent::GetAlignment | ( |  | ) | const

Specifies the alignment of the window (which side of the remaining parent client area the window sticks to).

One of wxLAYOUT_TOP, wxLAYOUT_LEFT, wxLAYOUT_RIGHT, wxLAYOUT_BOTTOM.

## ◆ GetFlags()

int wxQueryLayoutInfoEvent::GetFlags | ( |  | ) | const

Returns the flags associated with this event.

Not currently used.

## ◆ GetOrientation()

wxLayoutOrientation wxQueryLayoutInfoEvent::GetOrientation | ( |  | ) | const

Returns the orientation that the event handler specified to the event object.

May be one of wxLAYOUT_HORIZONTAL, wxLAYOUT_VERTICAL.

## ◆ GetRequestedLength()

int wxQueryLayoutInfoEvent::GetRequestedLength | ( |  | ) | const

Returns the requested length of the window in the direction of the window orientation.

This information is not yet used.

## ◆ GetSize()

wxSize wxQueryLayoutInfoEvent::GetSize | ( |  | ) | const

Returns the size that the event handler specified to the event object as being the requested size of the window.

## ◆ SetAlignment()

void wxQueryLayoutInfoEvent::SetAlignment | ( | wxLayoutAlignment | alignment | ) |

Call this to specify the alignment of the window (which side of the remaining parent client area the window sticks to).

May be one of wxLAYOUT_TOP, wxLAYOUT_LEFT, wxLAYOUT_RIGHT, wxLAYOUT_BOTTOM.

## ◆ SetFlags()

void wxQueryLayoutInfoEvent::SetFlags | ( | int | flags | ) |

Sets the flags associated with this event.

Not currently used.

## ◆ SetOrientation()

void wxQueryLayoutInfoEvent::SetOrientation | ( | wxLayoutOrientation | orientation | ) |

Call this to specify the orientation of the window.

May be one of wxLAYOUT_HORIZONTAL, wxLAYOUT_VERTICAL.

## ◆ SetRequestedLength()

void wxQueryLayoutInfoEvent::SetRequestedLength | ( | int | length | ) |

Sets the requested length of the window in the direction of the window orientation.

This information is not yet used.

## ◆ SetSize()

void wxQueryLayoutInfoEvent::SetSize | ( | const wxSize & | size | ) |

Call this to let the calling code know what the size of the window is.